Subject: bug#43966: Isearch, C-g and f10 interact to leave Isearch in an inconsistent state.

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jan 2021 04:03:29 +0100

Juri Linkov <[email-masked]> writes:

> It's still a bug.  The problem is that when the menu-bar is disabled,
> menu-bar-open calls tmm-menubar directly, but in isearch-mode
> isearch-tmm-menubar should be used instead.  isearch-mode-map remaps
> tmm-menubar to isearch-tmm-menubar, but this doesn't help
> in case of menu-bar-open calling tmm-menubar directly.

Ah, I see.

> I see no way to fix this other than handling isearch-mode in tmm-menubar:

It does seem a bit hackish, but I guess there's no other real
alternative...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no